
From: John Hawkes <hawkes@babylon.engr.sgi.com>

The 2.6.3-mm4 patch seems to have the CONFIG_LOCKMETER in the wrong spot
for ia64.  When I make this change, I can build and run an ia64
Lockmeter'ed kernel.


---

 25-akpm/arch/ia64/Kconfig |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

diff -puN arch/ia64/Kconfig~lockmeter-ia64-fix arch/ia64/Kconfig
--- 25/arch/ia64/Kconfig~lockmeter-ia64-fix	Tue Mar  2 13:29:16 2004
+++ 25-akpm/arch/ia64/Kconfig	Tue Mar  2 13:29:16 2004
@@ -489,13 +489,6 @@ config BLK_DEV_RAM_SIZE
 	depends on BLK_DEV_RAM
 	default "4096"
 
-config LOCKMETER
-       bool "Kernel lock metering"
-       depends on SMP
-       help
-         Say Y to enable kernel lock metering, which adds overhead to SMP locks,
-         but allows you to see various statistics using the lockstat command.
-
 endmenu
 
 source "fs/Kconfig"
@@ -624,6 +617,13 @@ config DEBUG_INFO
 	  Say Y here only if you plan to use gdb to debug the kernel.
 	  If you don't debug the kernel, you can say N.
 
+config LOCKMETER
+       bool "Kernel lock metering"
+       depends on SMP
+       help
+         Say Y to enable kernel lock metering, which adds overhead to SMP locks,
+         but allows you to see various statistics using the lockstat command.
+
 config SYSVIPC_COMPAT
 	bool
 	depends on COMPAT && SYSVIPC

_
